/*                                           -*- mode: c; c-basic-offset: 2 -*-
 *
 * This is kiba, a fun GNOME dock
 */

#ifndef __KIBA_RENDER_H__
#define __KIBA_RENDER_H__

void
kiba_dock_paint                 (KibaDock *);
void
kiba_drag_animation_paint       (KibaDock *);

void
kiba_paint_shape                (KibaDock *dock, cairo_t *draw_context, gchar *topleft_corner, gchar *topright_corner, gchar *bottomleft_corner, gchar *bottomright_corner, gboolean dock_shape, gboolean draw_all_border, double x0, double y0, double x1, double y1, double radius, double border_width);

cairo_pattern_t*
kiba_get_gradient_pattern       (KibaDock *dock, gchar *dock_color_1, gchar *dock_color_2, gchar *dock_color_3, double dock_alpha_1, double dock_alpha_2, double dock_alpha_3, double x0, double x1, double y0, double y1);
cairo_pattern_t*
kiba_get_png_pattern             (KibaDock *dock, cairo_t *cr, gchar *png_file, gboolean rotate);
cairo_pattern_t*
kiba_get_bg_pattern              (KibaDock *dock, gboolean linear, gchar *color1, gchar *color2, gchar     *color3, gchar *color4, gchar *color5, double alpha1, double alpha2, double alpha3, double alpha4, double     alpha5, double affection, double step_size, double radius_1, double radius_2);
void

update_input_shape_from_cairo    (GdkWindow* window, cairo_surface_t* cairo_surface, int width, int height, gboolean complete_shape);
GdkPixmap *
create_pixmap                    (int w, int h);
cairo_t *
dock_cairo_create                (KibaObject *object);

#ifdef HAVE_SVG
void
rsvg_resize_func                 (gint *width, gint *height, gpointer user_data);
#endif
#if GTK_CHECK_VERSION(2,9,0) == FALSE
void
do_shape_combine_mask            (GdkWindow* window, GdkBitmap* mask, gint x, gint y);
#endif

#endif
